package manejonomina;
import java.util.*; 

/*
 * @author tutorias.co
 */

public class ManejoNomina {

    /**
     * se crea el canal de entrada de datos con scanner
     */
    static Scanner entrada = new Scanner(System.in);
    static EmpleadoXHoras solucion;
    static Vector empleados = new Vector();
    static int opcion,id;
    
    public static void main(String[] args) {
        // se instancia la clase EmpleadoXHoras que hereda de empleado y se invocan los metodos
        do{
            System.out.print("\nMENÚ\n1.Ingresar empleado\n2.Buscar empleado\n3.Eliminar empleado\n4.Salir__ ");
            opcion = entrada.nextInt();
            
            switch(opcion){
                case 1:
                    System.out.print("Ingrese ID: ");
                    id = entrada.nextInt();
                    System.out.print("Ingrese nombre: ");
                    String nombre = entrada.next();
                    System.out.print("Ingrese teléfono: ");
                    String telefono = entrada.next();
                    System.out.print("Ingrese número de horas: ");
                    int numeroHoras = entrada.nextInt();
                    empleados.addElement(new EmpleadoXHoras(id, nombre, telefono, numeroHoras));
                    break;
                    
                case 2:
                    System.out.print("Ingrese ID: ");
                    id = entrada.nextInt();
                    EmpleadoXHoras e = buscar(id);
                    if(e != null)
                        e.mostrarResultados();
                    else
                        System.out.print("Empleado inexistente");
                    break;
                    
                case 3:
                    System.out.print("Ingrese ID: ");
                    id = entrada.nextInt();
                    if(eliminar(id))
                         System.out.print("Empleado eliminado");
                    else
                        System.out.print("Empleado inexistente");
                    break;
                    
                case 4:
                    break;
                    
                    default: System.out.print("Ingrese opciones válidas del menú");
            }       
        }while(opcion!=4);
    }
    
    public static EmpleadoXHoras buscar(int id){
        EmpleadoXHoras e = null;
        for(int x = 0; x < empleados.size(); x++ )
            if(((EmpleadoXHoras)empleados.elementAt(x)).getID() == id)
                   e = (EmpleadoXHoras)empleados.elementAt(x);
        return e;
    }
    public static boolean eliminar(int id){
        boolean band = false;
        for(int x = 0; x < empleados.size(); x++ )
            if(((EmpleadoXHoras)empleados.elementAt(x)).getID() == id){
                  empleados.remove(x);
                   band = true;
            }
        return band;
    }
}